1. 5

Security hole in ack versions 2.00 to 2.11_02 – allowed arbitrary code execution if you use ack to search a project that has a maliciously-crafted .ackrc file.

  1.